Description

Install MariaDB
Install MariaDB from pkg

Install MariaDB:

pkg install mariadb55-{server,client}

Build MariaDB from Source

o |nstall MariaDB, this will also build the MariaDB client:

cd /usr/ports/databases/mariadb55-server/
make config ; make install clean
rehash

Configure MariaDB

e Edit rc.conf to start MariaDB at boot:
vi /etc/rc.conf

* Add mysql_enable

mysql_enable="YES"
¢ Manually start MariaDB:
service mysqgl-server start
Setup grant tables, make sure to have the MariaDB server running since mysqgl_install_db assumes its running from here:
cd /usr/local/
mysqgl_install_db --user=mysqgl

e Configure the MariaDB server root password:

mysgl_secure_installation

1. (Optional) Configure MariaDB server root password manually:
mysgladmin -u root password 'appleton'
mysgladmin -u root -p -h firefly.scc.local password 'appleton'

2. (Optional) Grant root permission to connect remotely:

mysgl -u root -p

mysgl> grant all privileges on *.* to 'root'@'$' identified by 'appleton' with grant optio
n;

mysqgl> exit;

Configure MariaDB Server
Use the provided my-medium.cnf config file and edit for using InnoDB tables:

The output from “my_print_defaults —help” implies my-medium.cnf should copied to /etc/my.cnf, but I'll use the MySQL convention
I've learned until | know different.

cp /usr/local/share/mysqgl/my-medium.cnf /var/db/mysqgl/my.cnf
vi /var/db/mysql/my.cnf

#! Uncomment the following if you are using InnoDB tables
innodb_data_home_dir = /var/db/mysq|
innodb_data_file_path = ibdata1:10M:autoextend
innodb_log_group_home_dir = /var/db/mysq|

#! You can set .._buffer_pool_size up to 50 - 80 %

#! of RAM but beware of setting memory usage too high
innodb_buffer_pool_size = 16M
innodb_additional_mem_pool_size = 2M

#! Set .._log_file_size to 25 % of buffer pool size
innodb_log_file_size = 5M

innodb_log_buffer_size = 8M
innodb_flush_log_at_trx_commit = 1

innodb_lock wait_timeout = 50

® Restart MariaDB:
1. service mysql-server restart

¢ And finally do a basic test to confirm things are basically working:
mysgl -u root -p

MariaDB [(none)]> show databases;
MariaDB [(none)]> exit;
Bye

History

#1 - 04/27/2014 05:21 PM - Daniel Curtis
- Description updated

#2 - 04/29/2014 06:19 PM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/15/2015 09:16 PM - Daniel Curtis
- Project changed from 82 to FreeBSD Administration

- Category set to Database Server

04/19/2024 2/3




- Target version set to FreeBSD 9
